<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:tools="http://schemas.android.com/tools"
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto" >

    <data >

        <variable
            name="vm"
            type="com.quansu.heifengwuliu.vmodel.OwnerMoreVModel" />

        <variable
            name="item"
            type="com.quansu.heifengwuliu.model.bean.ReceiveBean" />

        <variable
            name="position"
            type="Integer" />




    </data >

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:focusable="true"
        android:focusableInTouchMode="true"
        android:orientation="vertical">

        <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_12"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_marginEnd="@dimen/dp_12"
            android:orientation="vertical"
            android:paddingStart="@dimen/dp_10"
            android:paddingTop="@dimen/dp_10"
            android:paddingEnd="@dimen/dp_12"
            android:paddingBottom="@dimen/dp_10"
            app:qmui_borderColor="#BFBFBF"
            app:qmui_borderWidth="@dimen/dp_1"
            app:qmui_radius="@dimen/dp_2">

            <LinearLayout
                android:id="@+id/ll_delete"
                android:layout_width="match_parent"
                android:gravity="right|center"
                android:visibility="gone"
                tools:visibility="visible"
                android:layout_height="40dp">

                <TextView
                    android:id="@+id/tv_delete"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="right"
                    android:minWidth="45dp"
                    android:text="删除"
                    android:textColor="#4070FF"
                    android:textSize="14sp">

                </TextView>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal">


                <com.qmuiteam.qmui.widget.QMUIRadiusImageView
                    android:id="@+id/img"
                    android:layout_width="25dp"
                    android:layout_height="25dp"
                    android:src="@drawable/ic_math"
                    app:qmui_is_circle="true" />


                <TextView
                    android:id="@+id/tv_city"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_10"
                    android:layout_weight="1"
                    android:hint="请选择省市区"
                    android:text="@{item.pca}"
                    android:onClick="@{v->vm.choseCity(position)}"
                    android:textColor="#101010"
                    android:textSize="@dimen/sp_16"></TextView>

                <LinearLayout
                    android:id="@+id/ll_chose_address"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="@{v->vm.chosePeoPle(position)}"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_10"
                        android:layout_marginEnd="@dimen/dp_10"
                        android:text="地址薄"
                        android:textColor="#5E5C5C"
                        android:textSize="@dimen/sp_15"></TextView>

                    <ImageView
                        style="@style/mine_arrow_right"
                        android:src="@drawable/mine_right" />
                </LinearLayout>
            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_10"
                android:gravity="center_vertical"
                android:orientation="horizontal">


                <EditText
                    android:id="@+id/et_detailed_address"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="35dp"
                    android:layout_weight="1"
                    android:background="@null"
                    android:text="@{vm.getContext(item.address)}"
                    android:hint="请输入详细地址"
                    android:textColor="#101010"
                    android:textColorHint="#BBBBBB"
                    android:textSize="@dimen/sp_15"></EditText>

                <LinearLayout
                    android:id="@+id/ll_chose_map"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="@{v->vm.choseMap(position)}"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginStart="@dimen/dp_10"
                        android:layout_marginEnd="@dimen/dp_10"
                        android:text="地图选点"
                        android:textColor="#5E5C5C"
                        android:textSize="@dimen/sp_15"></TextView>

                    <ImageView
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:src="@drawable/map_address" />

                </LinearLayout>

            </LinearLayout>


            <TextView
            android:id="@+id/tv_chose_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="35dp"
            android:layout_marginTop="@dimen/dp_10"
            android:text="@{item.time}"
            android:hint="点击选择卸货时间"
            android:textColor="#5E5C5C"
            android:textSize="@dimen/sp_15"></TextView>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginBottom="@dimen/dp_10"
                android:gravity="center_vertical"
                android:orientation="horizontal">


                <ImageView
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:layout_marginStart="35dp"
                    android:layout_marginEnd="@dimen/dp_10"
                    android:src="@drawable/ic_math" />

                <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout
                    android:layout_width="0dp"
                    android:layout_height="35dp"
                    android:layout_weight="1"
                    android:padding="@dimen/dp_2"
                    app:qmui_borderColor="#BFBFBF"
                    app:qmui_borderWidth="@dimen/dp_1"
                    app:qmui_radius="@dimen/dp_2">

                    <EditText
                        android:id="@+id/et_name"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@null"
                        android:hint="姓名"
                        android:text="@{vm.getContext(item.name)}"
                        android:textColor="#101010"
                        android:textColorHint="#BBBBBB"
                        android:textSize="@dimen/sp_15">

                    </EditText>

                </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout>

                <ImageView
                    android:layout_width="20dp"
                    android:layout_height="20dp"
                    android:layout_marginStart="@dimen/dp_15"
                    android:layout_marginEnd="@dimen/dp_10"
                    android:src="@drawable/ic_math" />

                <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout
                    android:layout_width="0dp"
                    android:layout_height="35dp"
                    android:layout_weight="1"
                    android:padding="@dimen/dp_2"
                    app:qmui_borderColor="#BFBFBF"
                    app:qmui_borderWidth="@dimen/dp_1"
                    app:qmui_radius="@dimen/dp_2">

                    <EditText
                        android:id="@+id/et_phone"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@null"
                        android:hint="电话"
                        android:textColor="#101010"
                        android:text="@{vm.getContext(item.mobile)}"
                        android:textColorHint="#BBBBBB"
                        android:textSize="@dimen/sp_15">

                    </EditText>

                </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout>


            </LinearLayout>





            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:gravity="center"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="货物名称"
                    android:textColor="#101010"
                    android:textSize="@dimen/sp_16">

                </TextView>

                <EditText
                    android:id="@+id/et_goods_name"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_10"
                    android:layout_weight="1"
                    android:text="@{vm.getContext(item.goods)}"
                    android:background="@null"
                    android:gravity="center_vertical|right"
                    android:hint="请输入货物名"
                    android:textColor="#101010"
                    android:textColorHint="#BBBBBB"
                    android:textSize="@dimen/sp_15"></EditText>


            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_goods_type"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:gravity="center"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="货物类型"
                    android:textColor="#101010"
                    android:textSize="@dimen/sp_16">

                </TextView>

                <TextView
                    android:id="@+id/tv_goods_type"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_10"
                    android:layout_marginEnd="@dimen/dp_10"
                    android:text="@{item.goods_type_name}"
                    android:layout_weight="1"
                    android:gravity="center_vertical|right"
                    android:hint="请选择货物类型"
                    android:textColor="#101010"
                    android:textColorHint="#BBBBBB"
                    android:textSize="@dimen/sp_15"></TextView>



                <ImageView
                    style="@style/mine_arrow_right"
                    android:src="@drawable/mine_right" />


            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:gravity="center"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="单车运量"
                    android:textColor="#101010"
                    android:textSize="@dimen/sp_16">

                </TextView>

                <EditText
                    android:id="@+id/et_sing_car_nums"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:paddingStart="@dimen/dp_10"
                    android:paddingEnd="@dimen/dp_10"
                    android:layout_weight="1"
                    android:background="@null"
                    android:gravity="center_vertical|right"
                    android:inputType="number|numberDecimal"
                    android:hint="请输入单车运输数量"
                    android:text="@{vm.getContext(item.nums)}"
                    android:textColor="#101010"
                    android:textColorHint="#BBBBBB"
                    android:textSize="@dimen/sp_15"></EditText>

                <LinearLayout
                    android:id="@+id/ll_chose_units"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">


                    <TextView
                        android:id="@+id/tv_chose_units"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_10"
                        android:layout_marginEnd="@dimen/dp_10"
                        android:hint="请选择单位"
                        android:text="@{item.nums_type}"
                        android:gravity="right"
                        android:textColor="#101010"
                        android:textColorHint="#BBBBBB"
                        android:textSize="@dimen/sp_15"></TextView>

                    <ImageView
                        style="@style/mine_arrow_right"
                        android:src="@drawable/mine_right" />
                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:gravity="center"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="单价"
                    android:textColor="#101010"
                    android:textSize="@dimen/sp_16">

                </TextView>

                <EditText
                    android:id="@+id/et_sing_car_price"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginStart="@dimen/dp_10"
                    android:paddingEnd="@dimen/dp_10"
                    android:layout_weight="1"
                    android:background="@null"
                    android:text="@{vm.getContext(item.price)}"
                    android:gravity="center_vertical|right"
                    android:hint="请输入单价"
                    android:textColor="#101010"
                    android:textColorHint="#BBBBBB"
                    android:textSize="@dimen/sp_15"></EditText>


            </LinearLayout>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:gravity="center"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="总金额"
                    android:textColor="#101010"
                    android:textSize="@dimen/sp_16">

                </TextView>

                <EditText
                    android:id="@+id/et_sing_car_total"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginStart="@dimen/dp_10"
                    android:layout_weight="1"
                    android:background="@null"
                    android:gravity="center_vertical|right"
                    android:hint="请输入总金额"
                    android:paddingEnd="@dimen/dp_10"
                    android:text="@{vm.getContext(item.total)}"
                    android:textColor="#101010"
                    android:textColorHint="#BBBBBB"
                    android:textSize="@dimen/sp_15"></EditText>


            </LinearLayout>





        </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout>


    </LinearLayout>

</layout >
